/*
 * #%L
 * I18n :: Maven Plugin
 * 
 * $Id: ParserEvent.java 1838 2011-01-04 13:54:04Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/i18n/tags/i18n-2.2/maven-i18n-plugin/src/main/java/org/nuiton/i18n/plugin/parser/ParserEvent.java $
 * %%
 * Copyright (C) 2007 - 2010 CodeLutin, Tony Chemit
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package org.nuiton.i18n.plugin.parser;

import java.io.File;

/**
 * Permet d'ajouter des évènements sur les parsers
 *
 * @author julien
 * @deprecated since 1.2, no more used actually, since we are using
 *             multi-thread parsing which is not compatible with a sequential
 *             parsing.
 */
@Deprecated
public interface ParserEvent {

    /**
     * Méthode appelée quand on change de fichier parsé
     *
     * @param file le nouveau fichier a parser
     */
    void eventChangeFile(File file);

    /**
     * Méthode appelée après le parsing du fichier
     *
     * @param file le prochain fichier a parser
     */
    void eventNextFile(File file);

    /**
     * Méthode appelée quand on change de clé
     *
     * @param keyI18n la clef i18n
     * @param newKey  la nouvelle clef i18n
     */
    void eventChangeKey(String keyI18n, boolean newKey);

    /**
     * Méthode appelée pour récupérer la nouvelle valeur de clé
     *
     * @return la nouvelle clé
     */
    String eventGetRealKey();

}
